HomeGuidesReference↗ Forage Dashboard
Log In
Reference

Void a PaymentRefund

POS Terminal Integrations Only

This endpoint is only relevant to Forage POS Terminal integrations.

A POST request to /payments/<payment_ref>/refunds/<refund_ref>/void/ reverses a successfully processed PaymentRefund. It reinstates the original charge to the customer.

On success, the API responds with the PaymentRefund object, and the is_voided value is true.

Post-Void Balance Requires PIN Check

The balance value in the response does not reflect the voided transaction. The returned balance amount accounts for the original transaction, before the void. A customer must check their balance via PIN entry to get the post-void balance.

Path Params
string
required

A unique reference hash for the Forage Payment object, returned when the original Payment was created.

string
required

A unique reference hash for the Forage PaymentRefund object, returned when the original PaymentRefund was created.

Headers
string
required

An OAuth 2.0 bearer token that validates the request. You can use either a short-lived session token if the request is coming from the front-end, or an authentication token for server-side requests. Pass the token in this header after the word Bearer and a whitespace, for example Bearer sandbox_sZawPSUSm9eetx8LrfBbJlzUZS3zWD.

string
required

A unique merchant ID that Forage provides during onboarding, as in 123ab45c67. The Merchant ID can be found in the Forage sandbox or production dashboard.

string
required

An alphanumeric key that clients can use to identify repeated requests that are dropped in transit. Generate a distinct key for every unique request and only re-use keys for retries.

string

The Forage version, represented as a string with the format of a YYYY-MM-DD date.

If not specified in the request header, then the version defaults to the value set in the Forage dashboard.

Responses

Language
Credentials
URL
Response
Choose an example:
application/json